Orders
Orders Fulfillments Create
Add shipment order for separate line.
Authorization
oauth2 orders:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: orders:write
Path Parameters
number*string
Header Parameters
X-29next-API-Version*string
Default
"unstable"Value in
"unstable"carrier?|
amazon- amazonasendia- asendiaaustralia_post- australia_postchina_post- china_postdeutsche_de- deutsche_dedhl- dhldhl_ecommerce- dhl_ecommercefedex- fedexfirstmile- firstmile4px- 4pxgofo_express- gofo_expresshermesworld_uk- hermesworld_ukmyhermes- myhermesontrac- ontracother- otherroyal_mail- royal_mailspeedx- speedxswiss_post- swiss_postulala- ulalauniuni- uniuniups- upsusps- uspsyunexpress- yunexpress
Value in
"amazon" | "asendia" | "australia_post" | "china_post" | "deutsche_de" | "dhl" | "dhl_ecommerce" | "fedex" | "firstmile" | "4px" | "gofo_express" | "hermesworld_uk" | "myhermes" | "ontrac" | "other" | "royal_mail" | "speedx" | "swiss_post" | "ulala" | "uniuni" | "ups" | "usps" | "yunexpress" | nulllines?array<|>
send_shipped_notification?|
tracking_code?|
tracking_link?|
Response Body
application/json
curl -X POST "https://example.29next.store/api/admin/orders/string/fulfillments/" \
-H "X-29next-API-Version: unstable" \
-H "Authorization: Bearer " \
-H "Content-Type: application/json" \
-d '{}'{
"created_at": "2019-08-24T14:15:22Z",
"delivery_status": null,
"id": 0,
"last_event_date": "2019-08-24T14:15:22Z",
"line_items": [
{
"currency": "string",
"fulfilled_quantity": "string",
"fulfillment_service": "string",
"id": 0,
"order_line_id": 0,
"price_excl_tax": "string",
"price_incl_tax": "string",
"product_id": 0,
"product_image": "http://example.com",
"product_title": "string",
"quantity": 2147483647,
"requires_shipping": true,
"returnable_quantity": "string",
"returned_quantity": "string",
"sku": "string",
"tax_lines": [
{
"amount": "string",
"currency": "string",
"rate": 0.1,
"report_values": {
"amount": "string",
"currency": "string"
},
"source": "string",
"tax_id": 0,
"tax_title": "string"
}
],
"total_discount": "string"
}
],
"location_id": 0,
"order_number": "string",
"origin_address": {
"country": "string",
"line1": "string",
"line2": "string",
"line3": "string",
"line4": "string",
"phone_number": "string",
"postcode": "string",
"state": "string"
},
"requires_shipping": true,
"shipping_method": "string",
"status": "success",
"tracking_carrier": "string",
"tracking_carriers": "string",
"tracking_code": "string",
"tracking_codes": "string",
"tracking_link": "string",
"tracking_links": "http://example.com"
}